Skip to main content
POST
/
v1
/
members
Assign a member to a role
curl --request POST \
  --url https://api.strait.dev/v1/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>",
  "user_id": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "project_id": "<string>",
  "role_id": "<string>",
  "user_id": "<string>",
  "$schema": "<string>",
  "granted_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Body

application/json
role_id
string
required
user_id
string
required

Response

OK

created_at
string<date-time>
required
id
string
required
project_id
string
required
role_id
string
required
user_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/ProjectMemberRole.json"

granted_by
string